/{organizationId}/{mandateId}/finance/accounts/creditors/{creditorId}/history/listList history
Returns persisted history items for a given creditor
Required permissions:
mandate.read
creditor.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired creditorIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 20
minimum: 1
maximum: 50
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/creditors/{creditorId}/history/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"limit": 20,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
timestampdate-timerequired actionstringrequired Options:
createdupdatedaddedremoveddeletedResponse
[
{
"_id": "000000000000000000000001",
"timestamp": "2026-06-15T22:30:00Z",
"actor": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"reviewedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"action": "created"
}
]400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}